<?php

namespace App\Controller\Admin\IndividualData;

use App\Entity\IndividualData\IndividualData;
use Lc\PietroBundle\Controller\IndividualData\IndividualDataAdminController as PietroIndividualDataAdminController;
use Lc\SovBundle\Repository\RepositoryQueryInterface;

class IndividualDataAdminController extends PietroIndividualDataAdminController
{
    public static function getEntityFqcn(): string
    {
        return IndividualData::class;
    }

    public function getRepositoryQuery(): RepositoryQueryInterface
    {
        return $this->getIndividualDataContainer()->getRepositoryQuery();
    }
}
